Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.internal.yuicompressor
Class JavaScriptResourceMinimizer

    java.lang.Object
      org.apache.tapestry5.internal.yuicompressor.AbstractMinimizer
          org.apache.tapestry5.internal.yuicompressor.JavaScriptResourceMinimizer

All Implemented Interfaces:
  ResourceMinimizer

    public class JavaScriptResourceMinimizer

extends AbstractMinimizer

JavaScript resource minimizer based on the YUI `JavaScriptCompressor`.

Since:
  5.3

Field Summary

Fields inherited from class org.apache.tapestry5.internal.yuicompressor.AbstractMinimizer
`logger, tracker`

Constructor Summary
`JavaScriptResourceMinimizer(org.slf4j.Logger logger, OperationTracker tracker)`

Method Summary
`protected void` | `doMinimize(StreamableResource resource, java.io.Writer output)` Implemented in subclasses to do the actual work.

Methods inherited from class org.apache.tapestry5.internal.yuicompressor.AbstractMinimizer
`minimize, toReader`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaScriptResourceMinimizer

    public JavaScriptResourceMinimizer(org.slf4j.Logger logger,
                                       OperationTracker tracker)

Method Detail

### doMinimize

    protected void doMinimize(StreamableResource resource,
                              java.io.Writer output)
                       throws java.io.IOException

  Description copied from class: `AbstractMinimizer`
  Implemented in subclasses to do the actual work.

  Specified by:
    `doMinimize` in class `AbstractMinimizer`
  Parameters:
    `resource` - content to minimize
    `output` - writer for minimized version of input
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.